Subject: Bug#789: I fixed this: more info

From: Michael DePaulo <[email-masked]>
Date: Sun, 10 May 2015 11:14:15 -0400

This will be fixed in the 1st release of X2Go Client for Windows 4.0.4.0-x.

The bug appeared to be caused by the fact that for at least 1 of the
SSH Processes, procUuid/uuidStr is null.
Thus HKEY_CURRENT_USER\\Software\\SimonTatham\\PuTTY\\Sessions would
be deleted (recursively) instead of only the uuidStr subkey being
deleted.

I fixed it by simply adding a check to SshProcess::rmPuttyReg(). It
now does nothing if uuidStr is empty or null. This is the safest
solution IMHO.

-Mike